Source: testrepository
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-fixtures,
 python3-setuptools,
 python3-subunit,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/python-team/packages/testrepository.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/testrepository
Homepage: https://github.com/testing-cabal/testrepository

Package: python3-testrepository
Architecture: all
Depends:
 python3-subunit,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Database of test results - Python 3.x library
 Testrepository provides a database of test results and supports easy workflows
 to be built on top of that database. For instance, running just failing tests
 or getting the last test run back to examine again (without running the tests
 again). Testrepository is compatible with any test suite that can output
 subunit. This includes any TAP test suite and any pyunit compatible test
 suite.
 .
 The python3-testrepository package contains the Python testrepository
 library for Python 3.x, which can be used for programmatic access to the
 database.

Package: testrepository
Architecture: all
Depends:
 python3-testrepository (>= ${source:Version}),
 ${misc:Depends},
Description: unit test system with database of test results - metapackage and doc
 Testrepository provides a database of test results and supports easy workflows
 to be built on top of that database. For instance, running just failing tests
 or getting the last test run back to examine again (without running the tests
 again). Testrepository is compatible with any test suite that can output
 subunit. This includes any TAP test suite and any pyunit compatible test
 suite.
 .
 This package is a metapackage that depends on both Python 2 and 3 packages. It
 also contains the documentation.
